Subject: bug#39121: 27.0.60; occur: Add bindings for next-error-no-select

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Jul 2021 19:27:08 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sun, 25 Jul 2021 17:09:37 +0200
> Cc: [email-masked], [email-masked], [email-masked],
>         [email-masked]
> 
> 25 juli 2021 kl. 13.49 skrev Eli Zaretskii <[email-masked]>:
> 
> > That the occur-target text property's value can now be something new,
> > and that this new value form is actually the preferred one?
> 
> Maybe, but we never said anything about occur-target to begin with.

The NEWS file doesn't necessarily describe only stuff documented
somewhere, it also describes changes that aren't documented anywhere
but the source code.  Suppose someone read the source of replace.el,
found out about this property, and uses it to do something, either
privately or for some 3rd-part package.  Put yourself in the shows of
that person and ask yourself whether you'd like to know that this kind
of change has been installed in Emacs.

> I'm not necessarily against it either. There may be a slight advantage for some code that can make good use of the new format. However, we can keep supporting existing code more or less indefinitely.

Since you introduced the new format, you probably thought it to be
better than the existing one, right?  Then telling others about that
would be a good service, IMO.